# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class Generator.AtomHandler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.Generator.AtomHandler

Enclosing class:
  Generator

    public class Generator.AtomHandler

extends XmlParser.ElementHandler

`<atom:generator>` parser.

Field Summary

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`Generator.AtomHandler()`

Method Summary
`void` `processAttribute(java.lang.String namespace, java.lang.String localName, java.lang.String value)` Called to process an attribute.
`void` `processEndElement()` Called to process this element when the closing tag is encountered.

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Generator.AtomHandler

    public Generator.AtomHandler()

Method Detail

### processAttribute

    public void processAttribute(java.lang.String namespace,
                                 java.lang.String localName,
                                 java.lang.String value)

  Description copied from class: `XmlParser.ElementHandler`
  Called to process an attribute. Designed to be overridden by derived classes.

  Overrides:
    `processAttribute` in class `XmlParser.ElementHandler`
  Parameters:
    `namespace` - Attribute namespace URI.
    `localName` - Attribute name.
    `value` - Attribute value.

### processEndElement

    public void processEndElement()

  Description copied from class: `XmlParser.ElementHandler`
  Called to process this element when the closing tag is encountered. The default implementation refuses to accept text() content, unless the handler is configured to accept unrecognized XML with mixed content.

  Overrides:
    `processEndElement` in class `XmlParser.ElementHandler`